/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Autorizacion;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderAutorizacion implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Autorizacion autorizacion = (Autorizacion) o;

        Listcell lc = new Listcell();

        lc = new Listcell(autorizacion.getAutorizacionId().toString());
        lc.setParent(lstm);

        lc = new Listcell(autorizacion.getDescautorizacion());
        lc.setParent(lstm);

        lc = new Listcell(autorizacion.getNombautorizacion());
        lc.setParent(lstm);

        lstm.setAttribute("data", autorizacion);
    }
}
